Package org.jbpm.services.task.impl.model

## Class EmailNotificationHeaderImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.EmailNotificationHeaderImpl

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.internal.task.api.model.EmailNotificationHeader`

      @Entity
      public class EmailNotificationHeaderImpl
      extends Object
      implements org.kie.internal.task.api.model.EmailNotificationHeader

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmailNotificationHeaderImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getBody()` |
    `String` | `getFrom()` |
    `long` | `getId()` |
    `String` | `getLanguage()` |
    `String` | `getReplyTo()` |
    `String` | `getSubject()` |
    `int` | `hashCode()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setBody​(String body)` |
    `void` | `setFrom​(String from)` |
    `void` | `setId​(long id)` |
    `void` | `setLanguage​(String language)` |
    `void` | `setReplyTo​(String replyTo)` |
    `void` | `setSubject​(String subject)` |
    `String` | `toString()` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailNotificationHeaderImpl

          public EmailNotificationHeaderImpl()

  - ### Method Detail

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public long getId()

      Specified by:
        `getId` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### setId

          public void setId​(long id)

      Specified by:
        `setId` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### getLanguage

          public String getLanguage()

      Specified by:
        `getLanguage` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### setLanguage

          public void setLanguage​(String language)

      Specified by:
        `setLanguage` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### getSubject

          public String getSubject()

      Specified by:
        `getSubject` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### setSubject

          public void setSubject​(String subject)

      Specified by:
        `setSubject` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### getBody

          public String getBody()

      Specified by:
        `getBody` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### setBody

          public void setBody​(String body)

      Specified by:
        `setBody` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### getReplyTo

          public String getReplyTo()

      Specified by:
        `getReplyTo` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### setReplyTo

          public void setReplyTo​(String replyTo)

      Specified by:
        `setReplyTo` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### getFrom

          public String getFrom()

      Specified by:
        `getFrom` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### setFrom

          public void setFrom​(String from)

      Specified by:
        `setFrom` in interface `org.kie.internal.task.api.model.EmailNotificationHeader`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`